SHELL := /bin/bash

ALL: build

# `make serve` to serve the dev site on localhost.
.PHONY: serve
serve:
	hugo server -D

# `make build` to build the static documentation site.
.PHONY: build
build:
	hugo

# `make deploy` uploads the site to production.
.PHONY: deploy
deploy:
	rsync -av public/ --delete-after sketchymaze.com:www/sketchymaze.com/

# `make clean` cleans everything up.
.PHONY: clean
clean:
	rm -rf public
